#include "led.h"

namespace homekit::led {

void Led::on_off(uint16_t delay_ms, bool last_delay) const {
    on();
    delay(delay_ms);

    off();
    if (last_delay)
        delay(delay_ms);
}

void Led::blink(uint8_t count, uint16_t delay_ms) const {
    for (uint8_t i = 0; i < count; i++) {
        on_off(delay_ms, i < count-1);
    }
}


#ifdef CONFIG_TARGET_NODEMCU
const Led* board_led = new Led(CONFIG_BOARD_LED_GPIO);
#endif
const Led* mcu_led = new Led(CONFIG_MCU_LED_GPIO);


}
